#include "triangles.h"
#include <bits/stdc++.h>

using namespace std;

std::vector<std::vector<int>> solve(int n)
{
    for (int i = 0; i < n; ++i)
    {
        vector<Triangle> left = {Triangle((i + 1) % n, (i + 2) % n, (i + 3) % n)};
        vector<Triangle> right = {Triangle(i, (i + 2) % n, (i + 3) % n), Triangle((i + 1) % n, i, (i + 3) % n), Triangle((i + 1) % n, (i + 2) % n, i)};
        if (compare(left, right) == 0)
        {
            vector<vector<int>> ans = {{i, (i + 2) % n, (i + 3) % n}, {(i + 1) % n, i, (i + 3) % n}, {(i + 1) % n, (i + 2) % n, i}};
            return ans;
        }
    }
    // Example of compare:
    // Пример использования функции compare:
    std::vector<Triangle> left = {Triangle(0, 1, 2)};
    std::vector<Triangle> right = {Triangle(0, 1, 2)};
    int compare_result = compare(left, right);
    // compare_result should be equal to 0.
    // compare_result будет равняться нулю, так как сравнивались одинаковые треугольники.

    // Example of return:
    // Пример возвращаемого значения:
    std::vector<std::vector<int>> ans;
    ans.push_back(std::vector<int>(n));
    for (int i = 0; i < n; ++i)
    {
        ans[0][i] = i;
    }
    return ans;
}
